# Macro definitions
%define ver	1.11.0
%define rel	0vl1
%define esmod_ver 1.1.0
%define esmod_maj 1
%define int1F_ver 1.0.0
%define int1F_maj 1
%define int23_ver 1.0.0
%define int23_maj 1
%define epsane_ver 1.0.12
%define epsane_maj 1

Summary:	Image Scan! for Linux is the frontend for epson scanners
Summary(ja):	Image Scan! for Linux - EPSON ѤΥեȥ
Name:		iscan
Version:	%{ver}	
Release:	%{rel}
License:	GPL, LGPL, EPSON KOWA PUBLIC LICENCE
URL:		http://www.epkowa.co.jp/
Source:		iscan-%{ver}-src.tar.gz
Group:		Applications/Multimedia
Requires:	sane >= 1.0.3
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
Image Scan! for Linux is the frontend for epson scanners

%description -l ja
iscan (Image Scan! for Linux)  EPSON ѤΥեȥ
Ǥ

%prep
%setup -q

%build
%configure
make


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

# PISA_BUILD_ROOT=${RPM_BUILD_ROOT} ./install.sh

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
config=/etc/sane.d/dll.conf
if test -z "$(grep epkowa $config)"; then
    echo Adding the SANE epkowa backend for EPSON scanners to $config
    echo Your old configuration is saved in $config.orig
    cp $config $config.orig
    echo epkowa >> $config
fi
if test -n "$(grep '#[[:space:]]*epkowa' $config)"; then
    echo Enabling SANE epkowa backend for EPSON scanners in $config
    echo Your old configuration is saved in $config.orig
    mv $config $config.orig
    sed 's,#[[:space:]]*\(epkowa\),\1,' $config.orig > $config
fi
if test -z "$(grep 6566/tcp /etc/services)"; then
    echo Adding the sane service to /etc/services
    echo The original file is saved in /etc/services.orig
    cp /etc/services /etc/services.orig
    echo "sane 6566/tcp saned # SANE network scanner daemon" >> /etc/services
fi

%preun
if [ $1 = 0 ]
then
	rm -f %{_libdir}/sane/libsane-epson.so
	rm -f %{_libdir}/sane/libsane-epson.so.%{epsane_maj}
fi

%files
%defattr(-,root,root)

%doc README README_j
%doc COPYING COPYING.LIB COPYING.KOWA COPYING.KOWA.ja
%doc doc/xinetd.sane

%{_sysconfdir}/sane.d/epkowa.conf

%{_bindir}/iscan

%{_libdir}/libesmod.so
%{_libdir}/libesmod.so.%{esmod_maj}
%{_libdir}/libesmod.so.%{esmod_ver}

%{_libdir}/libesint1F.so
%{_libdir}/libesint1F.so.%{int1F_maj}
%{_libdir}/libesint1F.so.%{int1F_ver}

%{_libdir}/libesint23.so
%{_libdir}/libesint23.so.%{int23_maj}
%{_libdir}/libesint23.so.%{int23_ver}

%{_libdir}/sane/libsane-epkowa.so
%{_libdir}/sane/libsane-epkowa.so.%{epsane_maj}
%{_libdir}/sane/libsane-epkowa.so.%{epsane_ver}

%{_mandir}/man1/*
%{_datadir}/locale/*/LC_MESSAGES/iscan.mo


%changelog
* Thu Nov 11 2004 Hiroshi SUZUKI <setter@reset.jp> 1.11.0-0vl1
- change epsane_ver to 1.0.12
- change install script from ./install to %makeinstall
* Tue Dec 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.2-0vl1
- initial build for Vine Linux based on epkowa package.
- use rpmmacros

